This page was not yet optimized for use on mobile devices.
Enterprise Secure Key Manager
Certificate details
| Certificate ID | #2862 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 10.03.2017 , 14.12.2017 , 04.12.2018 |
| Standard | FIPS 140-2 |
| Security level | 2 |
| Type | Hardware |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode |
| Exceptions |
|
| Description | Utimaco Enterprise Secure Key Manager (ESKM) provides key generation, retrieval, and management for encryption devices and solutions. ESKM is a hardened security appliance with secure access control, administration, and logging. ESKM supports high availability with automatic multi-site clustering, replication, and failover. |
| Version (Hardware) | P/N M6H81AA , Version 5.0 |
| Version (Firmware) | 7.0.1 |
| Vendor | Utimaco Inc. http://hsm.utimaco.com |
| Lab | Leidos Accredited Testing & Evaluation (AT&E) Lab |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, RC4, DES, Triple-DES, TripleDES, TDES, HMAC, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-512, CMAC, CBC-MACAsymmetric Algorithms
RSA 2048, RSA-512, RSA-768, RSA-1024, ECDH, ECDHE, ECDSA, Diffie-Hellman, DH, DSAHash functions
SHA1, SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, SHA224, SHA256, SHA384, SHA512, MD5Schemes
MACProtocols
SSH, SSHv2, SSL 3.0, SSL, TLS, TLS 1.2, TLS 1.0, TLS 1.1Randomness
PRNG, DRBG, RNGElliptic Curves
P-256, P-384Block cipher modes
ECB, CBC, CTR, GCM, CCMTLS cipher suites
TLS_RSA_WITH_AES_256_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA, TLS_RSA_WITH_TDES_EDE_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA256, TLS_RSA_WITH_AES_256_CBC_SHA256, TLS_RSA_WITH_AES_128_GCM_SHA256, TLS_RSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384Security level
Level 2Standards
FIPS 140-2, FIPS 186-4, SP 800-52, SP 800-90A, PKCS#1, RFC 5288, RFC 2246, RFC 4346, X.509Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 2862,
"dgst": "a7452d4e5f24e5a9",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"CVL#823",
"CVL#821",
"KTS#2194",
"Triple-DES#2194",
"DRBG#1186",
"DRBG#1185",
"CVL#842",
"CVL#820",
"AES#3995",
"HMAC#2609",
"ECDSA#889",
"SHS#3297",
"RSA#2051",
"CVL#822",
"KTS#2609"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"5.0",
"7.0.1"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 43,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDH": {
"ECDH": 14,
"ECDHE": 3
},
"ECDSA": {
"ECDSA": 15
}
},
"FF": {
"DH": {
"DH": 3,
"Diffie-Hellman": 13
},
"DSA": {
"DSA": 1
}
},
"RSA": {
"RSA 2048": 1,
"RSA-1024": 2,
"RSA-512": 2,
"RSA-768": 2
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 3
},
"CCM": {
"CCM": 1
},
"CTR": {
"CTR": 4
},
"ECB": {
"ECB": 5
},
"GCM": {
"GCM": 5
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"SSH": {
"SSH": 24,
"SSHv2": 1
},
"TLS": {
"SSL": {
"SSL": 1,
"SSL 3.0": 2
},
"TLS": {
"TLS": 65,
"TLS 1.0": 1,
"TLS 1.1": 1,
"TLS 1.2": 1
}
}
},
"crypto_scheme": {
"MAC": {
"MAC": 1
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 6,
"P-384": 6
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"# 823": 1,
"#1185": 1,
"#1186": 1,
"#2051": 1,
"#2194": 2,
"#2609": 3,
"#3297": 1,
"#3995": 4,
"#820": 1,
"#821": 1,
"#822": 1,
"#842": 1,
"#889": 1
}
},
"fips_certlike": {
"Certlike": {
"AES Certificate #3995": 3,
"AES key 128, 192": 1,
"HMAC Certificate #2609": 4,
"HMAC- SHA1": 1,
"HMAC- SHA224": 1,
"HMAC- SHA256": 1,
"HMAC- SHA384": 1,
"HMAC- SHA512": 1,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 2,
"HMAC-SHA-512": 1,
"HMAC-SHA-512 (Certificate #2609": 1,
"HMAC-SHA1": 2,
"HMAC-SHA256": 2,
"HMAC-SHA384": 2,
"HMACSHA-384": 1,
"PKCS#1": 2,
"RSA 2048": 1,
"SHA- 1": 3,
"SHA- 256": 4,
"SHA- 384": 3,
"SHA-1": 2,
"SHA-224": 2,
"SHA-256": 4,
"SHA-384": 3,
"SHA-512": 1,
"SHA-512 (Certificate #3297": 1,
"SHA1": 1,
"SHA224": 1,
"SHA256": 1,
"SHA384": 1,
"SHA512": 1
}
},
"fips_security_level": {
"Level": {
"Level 2": 6
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 3
}
},
"SHA": {
"SHA1": {
"SHA-1": 2,
"SHA1": 1
},
"SHA2": {
"SHA-224": 2,
"SHA-256": 4,
"SHA-384": 3,
"SHA-512": 2,
"SHA224": 1,
"SHA256": 1,
"SHA384": 1,
"SHA512": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 45,
"PRNG": 1
},
"RNG": {
"RNG": 4
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 15,
"FIPS 186-4": 1
},
"NIST": {
"SP 800-52": 1,
"SP 800-90A": 5
},
"PKCS": {
"PKCS#1": 1
},
"RFC": {
"RFC 2246": 1,
"RFC 4346": 1,
"RFC 5288": 1
},
"X509": {
"X.509": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 35
},
"RC": {
"RC4": 3
}
},
"DES": {
"3DES": {
"TDES": 2,
"Triple-DES": 7,
"TripleDES": 1
},
"DES": {
"DES": 5
}
},
"constructions": {
"MAC": {
"CBC-MAC": 1,
"CMAC": 6,
"HMAC": 8,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 1,
"HMAC-SHA-512": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {
"TLS": {
"TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_RSA_WITH_TDES_EDE_CBC_SHA": 1
}
},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"CVL#823",
"CVL#821",
"KTS#2194",
"Triple-DES#2194",
"DRBG#1186",
"DRBG#1185",
"CVL#842",
"CVL#820",
"AES#3995",
"HMAC#2609",
"ECDSA#889",
"SHS#3297",
"RSA#2051",
"CVL#822",
"KTS#2609"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": []
},
"policy_metadata": {
"/Author": "fitzgeri",
"/CreationDate": "D:20171207094621-05\u002700\u0027",
"/Creator": "Microsoft\u00ae Word 2013",
"/ModDate": "D:20181119093319-05\u002700\u0027",
"/Producer": "Microsoft\u00ae Word 2013",
"/Subject": "Enterprise Secure Key Manager",
"/Title": "Security Policy",
"pdf_file_size_bytes": 1097048,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 30
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "a48a4160f4b89c335b4f6d06fedc4876fa7721a9254644a38988d291aa35ddf6",
"source_hash": "946b10d2435d1c26f39c7485b2070a625b86df7e1095e194b708f535bfd15761",
"txt_hash": "9c76e03f47653853ad90e6bc48c1fb97f3b72dcfe8fcbeb04a6d153e89ab54de"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertMar2017.pdf",
"date_sunset": null,
"description": "Utimaco Enterprise Secure Key Manager (ESKM) provides key generation, retrieval, and management for encryption devices and solutions. ESKM is a hardened security appliance with secure access control, administration, and logging. ESKM supports high availability with automatic multi-site clustering, replication, and failover.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Roles, Services, and Authentication: Level 3",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": "7.0.1",
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": "P/N M6H81AA , Version 5.0",
"level": 2,
"mentioned_certs": {},
"module_name": "Enterprise Secure Key Manager",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "N/A",
"tested_conf": null,
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2017-03-10",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2017-12-14",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2018-12-04",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Update"
}
],
"vendor": "Utimaco Inc.",
"vendor_url": "http://hsm.utimaco.com"
}
}